--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: complain
comment: 
constants: []

full_name: God::Configurable
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: base_name
- !ruby/object:RI::MethodSummary 
  name: complain
- !ruby/object:RI::MethodSummary 
  name: friendly_name
- !ruby/object:RI::MethodSummary 
  name: prepare
- !ruby/object:RI::MethodSummary 
  name: reset
- !ruby/object:RI::MethodSummary 
  name: valid?
name: Configurable
superclass: 
